Bug 17538 - J2EE not work with Glibc 2.1.3-21
Summary: J2EE not work with Glibc 2.1.3-21
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.2
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-15 14:37 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-18 07:35:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-09-15 14:37:04 UTC
After installing a new PC with RH6.2 with all patches (kernel-2.2.16-3.i686
& glibc-2.1.3-21) the Java2 Enterprise Edition doesn't run with jdk
1.2.2_06 and 1.3rc1 from SUN. In a other system with kernel-2.2.14-5.0 &
glibc-2.1.3-15 J2EE works correctly with jdk 1.2.2_06.
The error that is displayed is:

[diego@bkto0224 bin]$ j2ee -verbose

J2EE server Listen Port: = 1049
org.omg.CORBA.INITIALIZE: Could not find the POA-to-id mapper. Please
ensure orb
d has been started.  minor code: 0  completed: No
        at
com.sun.corba.ee.internal.POA.POATable.getPOAIdMap(POATable.java:176)
        at
com.sun.corba.ee.internal.POA.POATable.addPersistentPOA(POATable.java
:77)
        at com.sun.corba.ee.internal.POA.POATable.addPOA(POATable.java:45)
        at
com.sun.corba.ee.internal.POA.POAImpl.initialize(POAImpl.java:91)
        at com.sun.corba.ee.internal.POA.POAImpl.<init>(POAImpl.java:82)
        at
com.sun.corba.ee.internal.POA.POAImpl.create_POA(POAImpl.java:133)
        at
com.sun.corba.ee.internal.POA.POAImpl.create_POA(POAImpl.java:425)
java:146)
        at
com.sun.enterprise.iiop.POAProtocolMgr.initializeNaming(POAProtocolMgr.java:133)
        at com.sun.enterprise.server.J2EEServer.run(J2EEServer.java:244)
        at com.sun.enterprise.server.J2EEServer.main(J2EEServer.java:866)
 
java.lang.RuntimeException: Unable to create POA
        at
com.sun.enterprise.iiop.POAProtocolMgr.createPOA(POAProtocolMgr.java:219)
        at
com.sun.enterprise.iiop.POAProtocolMgr.initializePOAs(POAProtocolMgr.java:146)
        at
com.sun.enterprise.iiop.POAProtocolMgr.initializeNaming(POAProtocolMgr.java:133)
        at com.sun.enterprise.server.J2EEServer.run(J2EEServer.java:244)
        at com.sun.enterprise.server.J2EEServer.main(J2EEServer.java:866)
 
java.lang.RuntimeException: Unable to create POA
        at com.sun.enterprise.server.J2EEServer.run(J2EEServer.java:348)
        at com.sun.enterprise.server.J2EEServer.main(J2EEServer.java:866)
J2EE server reported the following error: Unable to create POA
Error executing J2EE server ...

Comment 1 Need Real Name 2000-09-18 12:10:34 UTC
It could depends of network configuration (DHCP)


Note You need to log in before you can comment on or make changes to this bug.